#!/bin/sh
####################################################################
# Licensed Materials - Property of IBM
# Restricted Materials of IBM
# 5698-WSH
# (C) Copyright IBM Corp. 1998, 2006 All Rights Reserved.
###################################################################

echo "executeSPBActionIsWorking........"

#------- get the parametres from the caller -------
INST_CMD_LINE="$1"
SD_CLI_DIR="$2"
SPBLOGFILE="$3"

SD_ENV_FILE="$SD_CLI_DIR/swd_env.sh"; export SD_ENV_FILE

echo "SD_CLI_DIR=$SD_CLI_DIR"
echo "INST_CMD_LINE=$INST_CMD_LINE"


# ----------- move to SD CLI -----------------
# -------- set the environment for SD --------
# ----------- run the command ----------------
# --------- get the return code --------------
cd "$SD_CLI_DIR"
. "$SD_ENV_FILE"

if [ ! -f "$SPBLOGFILE" ]
then
  date >"$SPBLOGFILE"
else
  date >>"$SPBLOGFILE"
fi

TMP=`echo "INST_CMD_LINE = <${INST_CMD_LINE}>" >>$SPBLOGFILE`
TMP=`$INST_CMD_LINE 1>>$SPBLOGFILE 2>>$SPBLOGFILE`

RET_CODE=$?; export RET_CODE

#----- Manage return code for each kind of installation -----

case $RET_CODE in
  
  0)  
    # The engine SPB install action ended successfully
    exit 0
  ;;
  
  7)
    # The engine SPB install action ended successfully
    exit 7
  ;;

  *)
    # The engine SPB install action failed, exit from script
    exit 1
  ;;
esac
