####################################################################
# Licensed Materials - Property of IBM
# Restricted Materials of IBM
# 5698-WSH
# (C) Copyright IBM Corp. 1998, 2006 All Rights Reserved.
###################################################################

#---------- Delete Function ----------
echo "twsBackupConfigFilesAction.................."

#------- get the parametres from the caller -------
INSTALL_DIR="$1"
ACTIONTOOLS_DIR="$2"
MAEUSER="$3"
TWSREGISTRYFILE="/etc/TWS/TWSRegistry.dat"
UNINSTALL_DIR=$INSTALL_DIR/_uninstall

OS=`uname -s`;export OS

case $OS in
   AIX)
     INST_INTERP="AIX"; export INST_INTERP
   ;;
   HP-UX)
     INST_INTERP="HP"; export INST_INTERP
   ;;
   Linux)
     case `uname -m` in
     *86*)
       INST_INTERP="LINUX_I386"; export INST_INTERP
       ;;
     *390*)
       INST_INTERP="LINUX_S390"; export INST_INTERP
       ;;
     esac
   ;;
   SunOS)
     case `uname -m` in
     *86*)
         INST_INTERP="SOLARIS_I386"; export INST_INTERP
     ;;
     *)
         INST_INTERP="SOLARIS"; export INST_INTERP
     ;;                                       
     esac
   ;;
   *) 
     INST_INTERP="LINUX_I386"; export INST_INTERP
   ;;
esac


echo "INSTALL_DIR=$INSTALL_DIR"
echo "ACTIONTOOLS_DIR=$ACTIONTOOLS_DIR"
echo "MAEUSER=$MAEUSER"
echo "TWSREGISTRYFILE=$TWSREGISTRYFILE"


#
# execute_command is used to execute a command and capture errors.
#
# Arguments:
#	<command> args
execute_command()
{
 $@ 
 if [ $? -ne 0 ]
 then
     echo "postinstall failed executing: $@." 
     exit 1
 fi 
}



# BACKUP FILES
  if [ -f $INSTALL_DIR/mozart/globalopts ]
  then
    execute_command "cp -p $INSTALL_DIR/mozart/globalopts $INSTALL_DIR/mozart/globalopts.bck"
  fi
  if [ -f $INSTALL_DIR/localopts ]
  then
    execute_command "cp -p $INSTALL_DIR/localopts $INSTALL_DIR/localopts.bck"
  fi

# TBSM config file backup
  if [ -f $INSTALL_DIR/Tbsm/TbsmAdapter/adapter.config ]
  then
    execute_command "cp -p $INSTALL_DIR/Tbsm/TbsmAdapter/adapter.config $INSTALL_DIR/Tbsm/TbsmAdapter/adapter.config.bck"
  fi


# *************************************************************
# User manual action needed after installation on the following
# *************************************************************

# AIX platform only: Try to rename the lib so that SPB will not found any problem while replacing it
if [ -f $INSTALL_DIR/trace/libatrc.a ]
then
  mv $INSTALL_DIR/trace/libatrc.a $INSTALL_DIR/trace/libatrc.oldLib
fi

# NETVIEW config file backup
if [ -f $INSTALL_DIR/StartUp ]
then
    execute_command "cp -p $INSTALL_DIR/StartUp $INSTALL_DIR/StartUp.toMerge"
fi

# twsinst file backup
if [ -f $INSTALL_DIR/twsinst ]
then 
    #the first is needed by roll-back step list to restore previous GA installation state
    execute_command "cp -p $INSTALL_DIR/twsinst $INSTALL_DIR/twsinst.bck"
    #the second is needed by undo package user action to restore previous GA installation state   
    execute_command "cp -p $INSTALL_DIR/twsinst $INSTALL_DIR/twsinst.toRename"
    rm -f $INSTALL_DIR/twsinst
fi

# twspatch file backup
if [ -f $INSTALL_DIR/twspatch ]
then 
    #the first is needed by roll-back step list to restore previous fixpack installation state
    execute_command "cp -p $INSTALL_DIR/twspatch $INSTALL_DIR/twspatch.bck"
    #the second is needed by undo package user action to restore previous fixpack installation state
    execute_command "cp -p $INSTALL_DIR/twspatch $INSTALL_DIR/twspatch.toRename"
    rm -f $INSTALL_DIR/twspatch
fi

# ISMP created scripts
if [ -f $UNINSTALL_DIR/ACTIONTOOLS/twsRemove.sh ]
then
  execute_command "cp -p $UNINSTALL_DIR/ACTIONTOOLS/twsRemove.sh $UNINSTALL_DIR/ACTIONTOOLS/twsRemove.bck"
  execute_command "cp -p $UNINSTALL_DIR/ACTIONTOOLS/twsRemove.sh $UNINSTALL_DIR/ACTIONTOOLS/twsRemove.toRename"
  #rm -f $INSTALL_DIR/twsRemove.sh
fi

exit 0


